gr::gfdm::simple_receiver_cc Class Reference

<+description of block+> More...

`#include <simple_receiver_cc.h>`

Inheritance diagram for gr::gfdm::simple_receiver_cc:
[legend]

## Public Types

typedef boost::shared_ptr< simple_receiver_cc > | sptr

## Static Public Member Functions

static sptr | make (int n_timeslots, int n_subcarriers, int overlap, std::vector< gr_complex > frequency_taps)
| Return a shared_ptr to a new instance of gfdm::simple_receiver_cc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<simple_receiver_cc> gr::gfdm::simple_receiver_cc::sptr

## Member Function Documentation

## make()

static sptr gr::gfdm::simple_receiver_cc::make | ( | int | n_timeslots,
|  | int | n_subcarriers,
|  | int | overlap,
|  | std::vector< gr_complex > | frequency_taps
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::simple_receiver_cc.

To avoid accidental use of raw pointers, gfdm::simple_receiver_cc's constructor is in a private implementation class. gfdm::simple_receiver_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- simple_receiver_cc.h